Bug 249956 - RFE: make empty debuginfo package a build error
Summary: RFE: make empty debuginfo package a build error
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jon Masters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-28 15:26 UTC by Ville Skyttä
Modified: 2008-04-03 07:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 07:29:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2007-07-28 15:26:35 UTC
I can't think of a case where producing an empty debuginfo package would be
useful, but empty debuginfo packages are often signs of something wrong with the
build, see eg. http://fedoraproject.org/wiki/Packaging/Debuginfo

So, how about making it an error in rpm-build/redhat-rpm-config?  For example
something like this appended to find-debuginfo.sh would do the trick:

    if [ ! -s $LISTFILE ] ; then
        echo ERROR: empty debuginfo package created
        exit 1
    fi

The error message could be improved, but exactly how depends somewhat on
whether/if this is going to be done in redhat-rpm-config or rpm-build.

Comment 1 Ville Skyttä 2007-07-30 20:49:36 UTC
BTW, just adding that to find-debuginfo.sh as is and doing nothing else isn't
the right thing to do - it'll break noarch package builds.  Anyway, this idea
is/was being discussed on the fedora-packaging list too, and has received some
positive feedback thus far.

Comment 2 Jon Masters 2007-08-20 07:06:56 UTC
I dislike it, but I'll act according to what is decided. I very much dislike
aborting builds just because of some arbitrary logic like this - there might be
a reason one would have an empty debuginfo package, and now we're making it
impossible to build those packages.

Jon.


Comment 3 Ville Skyttä 2007-08-21 17:36:17 UTC
There could be a way to allow them, it doesn't have to be made impossible.  The
way I see it, this RFE is analoguous to having builds fail if there are
unpackaged files.  That can be overridden by setting a variable too.

Anyway, there's no decision yet whether this is found desirable, it has been
requested that FESCO discusses it in a near future meeting.


Note You need to log in before you can comment on or make changes to this bug.